Qyra
ReferenceUntagged

GET/api/v1/projects/{projectUuid}/aiAgents/{agentUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
agentUuidstringYes

Responses

200 — Success

{
  "results": {
    "name": "string",
    "description": "string",
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "version": 0,
    "uuid": "string",
    "organizationUuid": "string",
    "projectUuid": "string",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "userAccess": [
      "string"
    ],
    "imageUrl": "string",
    "imageUrlSource": "upload",
    "tags": [
      "string"
    ],
    "integrations": [
      {
        "channelId": "string",
        "type": "slack"
      }
    ],
    "instruction": "string",
    "groupAccess": [
      "string"
    ],
    "spaceAccess": [
      "string"
    ],
    "enableDataAccess": true,
    "enableSelfImprovement": true,
    "enableContentTools": true,
    "enableUserContext": true,
    "enableSqlMode": true,
    "adminOnly": true,
    "modelConfig": {
      "reasoning": true,
      "modelProvider": "string",
      "modelName": "string"
    },
    "threadRetentionHours": 0
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}